Skip to main content
DELETE
DELETE /v1/dataProducts/{id}

Delete a Data Product

Delete a data product by ID or fully qualified name. Deleting a data product is permanent. A deleted data product can’t be restored.

Delete by ID

string
required
UUID of the data product to delete.
boolean
default:"false"
Recursively delete child entities.
boolean
default:"false"
Not needed. A deleted data product is always permanently deleted, with or without this option.

Delete by Name

Use DELETE /v1/dataProducts/name/{fqn} to delete by fully qualified name.
string
required
Fully qualified name of the data product, for example CustomerInsights.
boolean
default:"false"
Recursively delete child entities.
boolean
default:"false"
Not needed. A deleted data product is always permanently deleted, with or without this option.
DELETE /v1/dataProducts/{id}

Returns

Returns 200 with no content. The data product is permanently deleted and can’t be restored.

Error Handling